import request from '@/utils/request'

// 查询干物质校正列表
export function listDryMatterCorrection(query) {
  return request({
    url: '/dryMatterCorrection/dryMatterCorrection/list',
    method: 'get',
    params: query
  })
}

// 查询干物质校正详细
export function getDryMatterCorrection(id) {
  return request({
    url: '/dryMatterCorrection/dryMatterCorrection/' + id,
    method: 'get'
  })
}

// 新增干物质校正
export function addDryMatterCorrection(data) {
  return request({
    url: '/dryMatterCorrection/dryMatterCorrection',
    method: 'post',
    data: data
  })
}

// 修改干物质校正
export function updateDryMatterCorrection(data) {
  return request({
    url: '/dryMatterCorrection/dryMatterCorrection',
    method: 'put',
    data: data
  })
}

// 删除干物质校正
export function delDryMatterCorrection(id) {
  return request({
    url: '/dryMatterCorrection/dryMatterCorrection/' + id,
    method: 'delete'
  })
}
